<?php

namespace Drupal\Tests\jsnlog\FunctionalJavascript;

use Drupal\FunctionalJavascriptTests\WebDriverTestBase;
use Drupal\Core\Url;

/**
 * JavaScript tests.
 *
 * @ingroup jsnlog
 *
 * @group jsnlog
 */
class JSNLogJsTest extends WebDriverTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stable';

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = ['jsnlog', 'dblog'];

  /**
   * A user with permission to administer site configuration.
   *
   * @var \Drupal\user\UserInterface
   */
  protected $adminUser;

  /**
   * Tests that the home page loads with a 200 response.
   */
  public function testFrontpage() {
    $this->drupalGet(Url::fromRoute('<front>'));
    // Wait for a short while.
    $this->getSession()->wait(2000);
    $this->assertJsCondition('typeof(JL) == \'function\'');

    $this->assertJsCondition('typeof(JL().error(\'This is a test error.\')) == \'object\'');

    $this->assertSession()->assertWaitOnAjaxRequest(100);
  }

}
